MyBB Community Forums
MyAlerts - a notification/alert system for MyBB - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: Extensions (https://community.mybb.com/forum-201.html)
+--- Forum: Plugins (https://community.mybb.com/forum-73.html)
+---- Forum: Plugin Development (https://community.mybb.com/forum-68.html)
+---- Thread: MyAlerts - a notification/alert system for MyBB (/thread-119331.html)

Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41


RE: MyAlerts - a notification/alert system for MyBB - Euan T - 2013-04-19

https://github.com/euantor/MyAlerts/wiki/Forcing-alerts-for-all-users


RE: MyAlerts - a notification/alert system for MyBB - cfootball1 - 2013-04-19

(2013-04-19, 12:52 PM)Euan T Wrote: https://github.com/euantor/MyAlerts/wiki/Forcing-alerts-for-all-users
Exquisite, Thanks.


RE: MyAlerts - a notification/alert system for MyBB - blogantinom - 2013-04-21

Hi, I went to update from 1.02 to 1.04, as I didn't find any update instructions, I followed what most plugins ask to do, to deactivate, copy all the files over the old ones and activate the plugin. Unfortunately, when I did it It show me an error below on the plugin page, which was quickly refreshed and showed as the plugin was activated fine.

Quote:Warning [2] mktime() expects parameter 1 to be long, string given - Line: 281 - File: inc/functions_task.php PHP 5.2.17 (Linux)
File Line Function
[PHP] errorHandler->error
/inc/functions_task.php 281 mktime
/inc/plugins/myalerts.php 363 fetch_next_run
[PHP] myalerts_activate
/admin/modules/config/plugins.php 394 call_user_func
/admin/index.php 523 require
Warning [2] mktime() expects parameter 1 to be long, string given - Line: 309 - File: inc/functions_task.php PHP 5.2.17 (Linux)
File Line Function
[PHP] errorHandler->error
/inc/functions_task.php 309 mktime
/inc/plugins/myalerts.php 363 fetch_next_run
[PHP] myalerts_activate
/admin/modules/config/plugins.php 394 call_user_func
/admin/index.php 523 require
Warning [2] mktime() expects parameter 1 to be long, string given - Line: 317 - File: inc/functions_task.php PHP 5.2.17 (Linux)
File Line Function
[PHP] errorHandler->error
/inc/functions_task.php 317 mktime
/inc/plugins/myalerts.php 363 fetch_next_run
[PHP] myalerts_activate
/admin/modules/config/plugins.php 394 call_user_func
/admin/index.php 523 require

But then when I go to the forum it shows:

Quote:"MyBB SQL Error
MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
1054 - Unknown column 'a.forced' in 'where clause'
Query:
SELECT a.*, u.uid, u.username, u.avatar, u.usergroup, u.displaygroup FROM mybb_alerts a INNER JOIN mybb_users u ON (a.from_id = u.uid) WHERE a.uid = 1 AND (alert_type IN ('') OR a.forced = 1) ORDER BY a.id DESC LIMIT 0, 20;"

What should I do? I had to deactivate the plugin for the forum to show up. Did I do anything wrong?


RE: MyAlerts - a notification/alert system for MyBB - .m. - 2013-04-21

^ uninstall and reinstall & activate the plugin (there is a change in database columns)


RE: MyAlerts - a notification/alert system for MyBB - blogantinom - 2013-04-21

I manged to get the 1.02 installed back, but now no notification seems to work at all Sad

Edit: I checked the database and the alerts are being added to the alerts table, but not being showing.

Edit2: seems mybb_alert_settings and mybb_alert_values` are empty, do I need to reinstall the plugin

oh well, i turns out I can't even uninstall the plugin:

Quote:"MyBB has experienced an internal SQL error and cannot continue.
SQL Error:
1091 - Can't DROP 'myalerts_settings'; check that column/key exists
Query:
ALTER TABLE mybb_users DROP myalerts_settings"

Edit3: thanksfully I managed to recover it now, tried to uninstall and install again and not sure how it got back. Is there anywhere with upgrade instruction from 1.02 to 1.04?

Thanks


RE: MyAlerts - a notification/alert system for MyBB - .m. - 2013-04-21

^ you can add custom alerts for MyAlerts plugin so that you can check working of MyAlerts easily


RE: MyAlerts - a notification/alert system for MyBB - Shade - 2013-04-21

Custom Alerts for MyAlerts is compatible with MyAlerts 1.04 or above.

Custom Alerts isn't compatible with MyAlerts 1.02 unfortunately.


RE: MyAlerts - a notification/alert system for MyBB - Euan T - 2013-04-21

You should use the version from GitHub. I refuse to update the mods site because it flat out sucks. The GitHub version is fully up to date with no known errors at all.

The upgrade process goes:

Deactivate MyAlerts
Upload new version
Activate MyAlerts

The user above who suggested uninstalling/installing is wrong. While it would work, you would lose everything.